package cn.gtmap.estateplat.config.core.service.impl;

import cn.gtmap.estateplat.config.core.service.BdcSpfZdHjgxService;
import cn.gtmap.estateplat.core.support.mybatis.mapper.EntityMapper;
import cn.gtmap.estateplat.core.support.mybatis.mapper.Example;
import cn.gtmap.estateplat.model.server.core.BdcSpfZdHjgx;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @version 1.0, 2017/6/29.
 * @auto <a href="mailto:zhouwanqing@gtmap.cn">zhouwanqing</a>
 * @description
 */
@Service
public class BdcSpfZdHjgxServiceImpl implements BdcSpfZdHjgxService {

    @Autowired
    EntityMapper entityMapper;

    @Override
    public List<BdcSpfZdHjgx> getBdcZdFwRelListByBdcdyh(String fwbdcdyh) {
        List<BdcSpfZdHjgx> bdcSpfZdHjgxList = null;
        if (StringUtils.isNotBlank(fwbdcdyh)) {
            Example example = new Example(BdcSpfZdHjgx.class);
            example.createCriteria().andEqualTo("fwbdcdyh", fwbdcdyh);
            bdcSpfZdHjgxList = entityMapper.selectByExample(example);
        }
        return bdcSpfZdHjgxList;
    }
}
